Subject: Re: linux-next: manual merge of the rcu tree with Linus' tree

From: Borislav Petkov <[email-masked]>
Date: Tue, 27 Sep 2011 15:14:26 +0200

On Tue, Sep 27, 2011 at 01:14:54AM -0400, Stephen Rothwell wrote:
> Hi Paul,
> 
> Today's linux-next merge of the rcu tree got a conflict in
> arch/x86/kernel/cpu/mcheck/mce.c between commit b77e70bf3535 ("x86, mce:
> Replace MCE_SELF_VECTOR by irq_work") from Linus' tree and commit
> ef14aea88fee ("x86: Call idle notifier after irq_enter()") from the rcu
> tree.
> 
> The commit in Linus' tree seem to superced the need for the rcu tree
> patch ... so I effectively dropped the rcu tree change to this file.

Yes, this is correct.

@Frederic, Paul: you guys could probably redo the patch without the
<arch/x86/kernel/cpu/mcheck/mce.c> hunk or leave it like this and let
Linus know about the conflict when sending the pull request during the
merge window...

Thanks.

-- 
Regards/Gruss,
Boris.

Advanced Micro Devices GmbH
Einsteinring 24, 85609 Dornach
GM: Alberto Bozzo
Reg: Dornach, Landkreis Muenchen
HRB Nr. 43632 WEEE Registernr: 129 19551